//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */

// Initailise PORT's  

 void PORT_Init(void)
{

	DDRP|=0xC0;	// set port P-- P7 & P6  as ouput
			// P7 is used as EN for LCD
			// P6 is used as RS for LCD

		
        DDRS|=0x80;     // set port S-- S7 as output
			// S7 is used as ST_CP, storage 
			// register clock input for 
			// shift register 74HC595.

	DDRH|=0x0F;      // set port H
			// H7-H4 used as input from Keyboard.
			// H3-H0 used as output for Keyboard.
}
// PORT_Init();