//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca

#include <hidef.h>      	      /* common defines and macros */
#include <mc9s12dp512.h>        /* derivative information */
				
#define  ROW1 0x0E		//
#define  ROW2 0x0D
#define  ROW3 0x0B
#define  ROW4 0x07

//************************************************************
// This subroutine keep on scanning the rows of keypad
// as soon as any key is pressed, the ASCII code of 
// of that particular key is sent back to calling subroutine.
//************************************************************

unsigned char READ_KEYPAD(int count) 
{ 
 

  unsigned char key;
  unsigned char char1[16]={'A','B','C','D','*','#','9','8','7','6','5','4','3','2','1','0'};
  unsigned char char2[16]={0xEE,0xDE,0xBE,0x7E,0x7D,0x77,0xB7,0xBB,0xBD,0xD7,0xDB,0xDD,0xE7,0xEB,0xED,0x7B};
  int i;

	key =PTIH;		     // read key pad
	key &=0xF0;
	

switch (count)
{
case 1 : PTH=ROW1; key|=ROW1 ; break;  // scan Row1
case 2 : PTH=ROW2; key|=ROW2 ; break;  // scan Row2
case 3 : PTH=ROW3; key|=ROW3 ; break;  // scan Row3
case 4 : PTH=ROW4; key|=ROW4 ; break;  // scan Row4

default : PTH=ROW1; 
}

i=0;
while(key!=char2[i])
{
  i++;
}

if(i>=16) 
 char1[i]='&';

 return(char1[i]);
}