//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */

//***************************
void SPI_Initialisation(void)
//***************************

{   SPI0CR1=0x50; // SPI Control Register 1
		              // SPE =1 ; enable SPI
		              // MSTR=1 ; enable Master mode

    SPI0CR2=0x00; // SPI Control Register 2
		              // all set zero
		  
    SPI0BR=0x13;  // SPI Baud Rate Register
		              // Baud Rate = Bus_Clock / Baud_Rate_Divisor
		              // Baud_Rate_Divisor= (SPPR+1)*2exp(SPR+1)
		              // here SSPR=1 and SPR= 3 will set the
  		            // 750 Khz baud rate.
}


// SPI_Initialisation();